import React from 'react';
export declare const Notification: React.ForwardRefExoticComponent<{
    variant: import("../types").MessagingTypes;
    children: React.ReactNode;
    className?: string | undefined;
    icon?: React.ReactNode;
    title?: React.ReactNode;
    showClose?: boolean | undefined;
    onClose?: (() => void) | undefined;
    compact?: boolean | undefined;
    primaryAction?: import("../types").MessagingAction | undefined;
    dismissAction?: import("../types").MessagingAction | undefined;
    componentName?: import("../types").ComponentName | undefined;
} & import("../../types").DefaultAttributes & React.RefAttributes<HTMLInputElement>>;
